
registerType('Core.UI', (function () { function HTMLView() {} var __super = setSupertypeFromDomain(HTMLView, 'View', 'Core.UI');

HTMLView.prototype.initFromData = function HTMLView_initFromData(data) {

		if (!__super.prototype.initFromData.call(this, data))
			return;

		if (data.innerHTML !== undefined)
			this.innerHTML = data.innerHTML;

		return this;};
	


	Object.defineProperty(HTMLView.prototype, "innerHTML", {
	enumerable: true, 
		get: function () { return this.DOMNode.innerHTML; }, 
		set: function (value) { this.DOMNode.innerHTML = value; }});
	
	
	Object.defineProperty(HTMLView.prototype, "readableValue", {
		get: function () { return this.DOMNode.textContent; }});
	

HTMLView.prototype.expectedTypeForProperty = function HTMLView_expectedTypeForProperty(key) {
	if (key === "innerHTML") return "";
	if (key === "readableValue") return "";
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return HTMLView; }()));